Name:           android-udev-rules
Version:        20241109
Release:        1%{?dist}
Summary:        Udev rules to connect Android devices to your linux box
License:        GPL-3.0-or-later
URL:            https://github.com/M0Rf30/android-udev-rules
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       systemd systemd-udev

# Build with: rpmbuild --undefine=_disable_source_fetch -bb android-udev-rules.spec

%description
Android udev rules list aimed to be the most comprehensive on the net.
Based on the official Android Studio documentation as well as suggestions from
the Archlinux and Github Communities.

%prep
%setup -q

%build

%install
install -Dm644 51-android.rules -t %{buildroot}/etc/udev/rules.d/
install -Dm644 android-udev.conf -t %{buildroot}/usr/lib/sysusers.d/

%clean
rm -rf %{buildroot}

%files
%config(noreplace) /etc/udev/rules.d/51-android.rules
%config /usr/lib/sysusers.d/android-udev.conf
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README.md

%post
systemd-sysusers
udevadm control --reload-rules
systemctl restart systemd-udevd.service

%postun
udevadm control --reload-rules
systemctl restart systemd-udevd.service

%changelog

* Tue Jun 25 2024 - 20240625


- Add fastboot Google Pixel 7
- Add SHIFT5me
- Add Quectel vendor and Quectel EC25 (#318)
- Add Pico 4 VR Headset and vendor (#319)
- Add UVC for Pixel devices (close #321) (#322)
- Add Oculus Go and Oculus Quest (#324)
- Add Nintendo Switch


* Wed Feb 21 2024 - 20240221

- Add Oculus Quest 2 (close #308) (#309)
- Add Allwinner fastboot rule (#311)
- Quest 2 and 3 have the same IDs

* Sun Jan 14 2024 - 20240114

- Amazon vendor typo in comments
- Add support for Fire HD 8 2018 (#303)
- Add Alcatel 5024L aka Alcatel 1S (#304)
- Add support for Fire HD 8 2012 (#306)
- Add ASUS ZenWatch 2 (#307)

* Fri Mar 10 2023 Gianluca Boiano - 20231207-1

- Fixed OnePlus 6T: debug mode not detected (#298) (#300)
- Add Hisense U8G Smart TV (#301)
- Add Google Pixel Watch 2 (#302)
- Use more specific adb GOTOs for XiaoMi (#299)

* Fri Mar 10 2023 Giedrius Masalskis <giedrius@masalskis.net> - 20230310-1
- Install android-udev.conf and create system group.

* Sun Jan 02 2022 Håkon Løvdal <kode@denkule.no> - 20220102-1
- Latest stable tag.
